Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.agentpowers.ai/v1/purchases \ --header 'Authorization: Bearer <token>'
import requestsurl = "https://api.agentpowers.ai/v1/purchases"headers = {"Authorization": "Bearer <token>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};fetch('https://api.agentpowers.ai/v1/purchases', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "items": [ { "purchase_id": "<string>", "skill_slug": "<string>", "skill_title": "<string>", "amount_cents": 123, "currency": "<string>", "status": "<string>", "purchased_at": "<string>", "license_code": "<string>", "author_display_name": "<string>", "author_display_name_slug": "<string>" } ], "total": 123 }
List current user’s purchases.
Provide a Clerk JWT or a long-lived CLI token (prefix ap_cli_). Pass as Authorization: Bearer <token>.
ap_cli_
Authorization: Bearer <token>
Successful Response
Show child attributes
Was this page helpful?